<?php
/**
* Additional Woocommerce Settings.
*
* @package Packers Movers Company
*/

$packers_movers_company_default = packers_movers_company_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'packers_movers_company_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'packers-movers-company' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'packers_movers_company_theme_option_panel',
	)
);

	$wp_customize->add_setting('packers_movers_company_per_columns',
		array(
		'default'           => $packers_movers_company_default['packers_movers_company_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'packers_movers_company_sanitize_number_range',
		)
	);
	$wp_customize->add_control('packers_movers_company_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'packers-movers-company'),
		'section'     => 'packers_movers_company_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('packers_movers_company_product_per_page',
		array(
		'default'           => $packers_movers_company_default['packers_movers_company_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'packers_movers_company_sanitize_number_range',
		)
	);
	$wp_customize->add_control('packers_movers_company_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'packers-movers-company'),
		'section'     => 'packers_movers_company_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('packers_movers_company_show_hide_related_product',
    array(
        'default' => $packers_movers_company_default['packers_movers_company_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'packers_movers_company_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('packers_movers_company_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'packers-movers-company'),
	        'section' => 'packers_movers_company_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('packers_movers_company_custom_related_products_number',
		array(
		'default'           => $packers_movers_company_default['packers_movers_company_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'packers_movers_company_sanitize_number_range',
		)
	);
	$wp_customize->add_control('packers_movers_company_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'packers-movers-company'),
		'section'     => 'packers_movers_company_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('packers_movers_company_custom_related_products_number_per_row',
		array(
		'default'           => $packers_movers_company_default['packers_movers_company_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'packers_movers_company_sanitize_number_range',
		)
	);
	$wp_customize->add_control('packers_movers_company_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'packers-movers-company'),
		'section'     => 'packers_movers_company_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);